# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/yacas
pkglibdir = $(libdir)/yacas
pkgincludedir = $(includedir)/yacas

top_builddir = ..

ACLOCAL = /usr/ports/math/yacas/work/yacas-1.0.51/missing aclocal
AUTOCONF = autoconf
AUTOMAKE = /usr/ports/math/yacas/work/yacas-1.0.51/missing automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c -o root -g wheel
INSTALL_PROGRAM = install -c -s -o root -g wheel -m 555
INSTALL_DATA = install -c -o root -g wheel -m 444
INSTALL_SCRIPT = install -c -o root -g wheel -m 555
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = cc
CPP = cc -E
CXX = c++
MAKEINFO = makeinfo
NUMBERS_LDFLAGS = -lm
NUMBERS_LIB = libyacasnumbers.a
PACKAGE = yacas
RANLIB = ranlib
RELEASE = 1
VERSION = 1.0.51
scriptdir = ${prefix}/share/yacas/

SCRIPTFILES =          complex.rep/code.ys complex.rep/code.ys.def complex.rep/om.ys constants.rep/code.ys constants.rep/code.ys.def  constants.rep/om.ys controlflow.rep/code.ys controlflow.rep/code.ys.def         deffunc.rep/code.ys deffunc.rep/code.ys.def deriv.rep/code.ys deriv.rep/code.ys.def functional.rep/code.ys functional.rep/code.ys.def glview.ys         integrate.rep/code.ys integrate.rep/code.ys.def linalg.rep/code.ys linalg.rep/code.ys.def lists.rep/code.ys lists.rep/code.ys.def newly.rep/code.ys         newly.rep/code.ys.def numbers.rep/code.ys numbers.rep/code.ys.def random.rep/code.ys random.rep/code.ys.def simplify.rep/code.ys         simplify.rep/code.ys.def solve.rep/code.ys solve.rep/code.ys.def standard.ys standard.ys.def stdfuncs.rep/code.ys stdfuncs.rep/code.ys.def 		stdfuncs.rep/om.ys stdfuncs.rep/numerical.ys stdfuncs.rep/numerical.ys.def         stdopers.ys stubs.rep/code.ys stubs.rep/code.ys.def stubs.rep/om.ys substitute.rep/code.ys substitute.rep/code.ys.def sums.rep/code.ys sums.rep/code.ys.def         univar.rep/code.ys univar.rep/code.ys.def yacasinit.ys assoc.rep/code.ys assoc.rep/code.ys.def html.rep/code.ys html.rep/code.ys.def         fakedb.rep/code.ys fakedb.rep/code.ys.def array.rep/code.ys array.rep/code.ys.def example.rep/code.ys example.rep/code.ys.def         trigsimp.rep/code.ys trigsimp.rep/code.ys.def formula.rep/code.ys formula.rep/code.ys.def patterns.rep/code.ys         patterns.rep/code.ys.def predicates.rep/code.ys predicates.rep/code.ys.def stats.rep/code.ys stats.rep/code.ys.def padic.rep/code.ys         padic.rep/code.ys.def testers.rep/code.ys testers.rep/code.ys.def factors.rep/code.ys factors.rep/code.ys.def tensor.rep/code.ys tensor.rep/code.ys.def         texform.rep/code.ys texform.rep/code.ys.def print.ys c_form.rep/code.ys c_form.rep/code.ys.def logic.rep/code.ys logic.rep/code.ys.def logic.rep/om.ys cstubgen.rep/code.ys cstubgen.rep/code.ys.def         radsimp.rep/code.ys radsimp.rep/code.ys.def pslq.rep/code.ys pslq.rep/code.ys.def odesolver.rep/code.ys odesolver.rep/code.ys.def limit.rep/code.ys limit.rep/code.ys.def         localrules.rep/code.ys localrules.rep/code.ys.def rabinmiller.rep/code.ys rabinmiller.rep/code.ys.def         orthopoly.rep/code.ys orthopoly.rep/code.ys.def openmath.rep/code.ys openmath.rep/code.ys.def         multivar.rep/code.ys multivar.rep/code.ys.def         multivar.rep/makemulti.ys          multivar.rep/sparsetree.ys multivar.rep/sparsetree.ys.def         multivar.rep/sparsenomial.ys         specfunc.rep/code.ys specfunc.rep/code.ys.def 		specfunc.rep/gamma.ys specfunc.rep/gamma.ys.def specfunc.rep/zeta.ys specfunc.rep/zeta.ys.def 		specfunc.rep/bessel.ys specfunc.rep/bessel.ys.def specfunc.rep/bernou.ys specfunc.rep/bernou.ys.def 	plots.rep/code.ys plots.rep/code.ys.def plots.rep/backends-2d.ys


script_DATA = # $(SCRIPTFILES)
#	-mkdir $(scriptdir)addons/
#	-cp addons/README $(scriptdir)addons/
#	-cp addons/editvi* $(scriptdir)addons/

EXTRA_DIST = $(SCRIPTFILES)         examples/tests.ys examples/ABIN.ys examples/pi.ys         examples/findsum.ys examples/wordproblems.ys         examples/queens.ys examples/benchmark.ys examples/MinimumSpanningTree.ys         examples/benchmark2.ys examples/benchbuild.ys  examples/goldbach.ys examples/series.ys         addons/README addons/editvi.ys addons/editvi.ys.def         addons/unix.ys addons/unix.ys.def maketest


testscriptdir = ../scripts/
yacastest = ../src/yacas -pc --rootdir $(testscriptdir)
testtarget = test
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DATA =  $(script_DATA)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(srcdir)/maketest
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps scripts/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-scriptDATA: $(script_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(scriptdir)
	@list='$(script_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(scriptdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(scriptdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(scriptdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(scriptdir)/$$p; \
	  fi; fi; \
	done

uninstall-scriptDATA:
	@$(NORMAL_UNINSTALL)
	list='$(script_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(scriptdir)/$$p; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = scripts

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/addons $(distdir)/array.rep \
	   $(distdir)/assoc.rep $(distdir)/c_form.rep \
	   $(distdir)/complex.rep $(distdir)/constants.rep \
	   $(distdir)/controlflow.rep $(distdir)/cstubgen.rep \
	   $(distdir)/deffunc.rep $(distdir)/deriv.rep \
	   $(distdir)/example.rep $(distdir)/examples \
	   $(distdir)/factors.rep $(distdir)/fakedb.rep \
	   $(distdir)/formula.rep $(distdir)/functional.rep \
	   $(distdir)/html.rep $(distdir)/integrate.rep \
	   $(distdir)/limit.rep $(distdir)/linalg.rep \
	   $(distdir)/lists.rep $(distdir)/localrules.rep \
	   $(distdir)/logic.rep $(distdir)/multivar.rep \
	   $(distdir)/newly.rep $(distdir)/numbers.rep \
	   $(distdir)/odesolver.rep $(distdir)/openmath.rep \
	   $(distdir)/orthopoly.rep $(distdir)/padic.rep \
	   $(distdir)/patterns.rep $(distdir)/plots.rep \
	   $(distdir)/predicates.rep $(distdir)/pslq.rep \
	   $(distdir)/rabinmiller.rep $(distdir)/radsimp.rep \
	   $(distdir)/random.rep $(distdir)/simplify.rep \
	   $(distdir)/solve.rep $(distdir)/specfunc.rep \
	   $(distdir)/stats.rep $(distdir)/stdfuncs.rep \
	   $(distdir)/stubs.rep $(distdir)/substitute.rep \
	   $(distdir)/sums.rep $(distdir)/tensor.rep \
	   $(distdir)/testers.rep $(distdir)/texform.rep \
	   $(distdir)/trigsimp.rep $(distdir)/univar.rep
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-scriptDATA install-data-local
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-scriptDATA
uninstall: uninstall-am
all-am: Makefile $(DATA)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_STRIP_FLAG=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(scriptdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-scriptDATA install-scriptDATA tags distdir info-am \
info dvi-am dvi check check-am installcheck-am installcheck \
install-exec-am install-exec install-data-local install-data-am \
install-data install-am install uninstall-am uninstall all-redirect \
all-am all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


install-data-local:
	-cp -r * $(scriptdir)

# wester.yts is generated automatically
../tests/wester.yts: ../manualmaker/wester-1994.ys
	touch ../tests/wester.yts
	cp ../manualmaker/wester-1994.ys ../tests/wester.yts

$(testtarget): ../tests/wester.yts
	$(yacastest) ../tests/arithmetic.yts
	$(yacastest) ../tests/c_tex_form.yts
	$(yacastest) ../tests/calculus.yts
	$(yacastest) ../tests/canprove.yts
	$(yacastest) ../tests/comments.yts
	$(yacastest) ../tests/deriv.yts
	$(yacastest) ../tests/integrate.yts
	$(yacastest) ../tests/linalg.yts
	$(yacastest) ../tests/lists.yts
	$(yacastest) ../tests/logic_simplify_test.yts
	$(yacastest) ../tests/multivar.yts
	$(yacastest) ../tests/numerics.yts
	$(yacastest) ../tests/numbers.yts
	$(yacastest) ../tests/orthopoly.yts
	$(yacastest) ../tests/poly.yts
	$(yacastest) ../tests/predicates.yts
	$(yacastest) ../tests/programming.yts
	$(yacastest) ../tests/radsimp.yts
	$(yacastest) ../tests/regress.yts
	$(yacastest) ../tests/simplify.yts
	$(yacastest) ../tests/solve.yts
	$(yacastest) ../tests/sums.yts
	$(yacastest) ../tests/tensors.yts
	$(yacastest) ../tests/wester.yts

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
